apiVersion: v1
kind: Pod
metadata:
  annotations:
    openshift.io/scc: forklift-controller-scc
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
  creationTimestamp: "2024-07-08T23:42:32Z"
  generateName: mtv26-500vms-8esxs-plan4-vm-3712-
  labels:
    forklift.app: virt-v2v
    migration: e7712c16-b46c-4b8d-afbb-9be414d2a776
    plan: 8cc5efb6-a17b-4d5e-9e7a-e3cc3e971ef0
    vmID: vm-3712
  name: mtv26-500vms-8esxs-plan4-vm-3712-4lb26
  namespace: mtv26-4000vms-8esxs
  resourceVersion: "594737593"
  uid: 404ead8a-af06-40d8-afbe-69ccced73fad
spec:
  containers:
  - env:
    - name: V2V_vmName
      value: dsl-4g-thick-fc-vm-2103
    - name: V2V_libvirtURL
      value: esx://root@172.16.14.34?no_verify=1
    - name: V2V_source
      value: vSphere
    - name: V2V_fingerprint
      value: 60:17:76:E7:78:23:D6:DB:AD:C7:C3:88:77:5D:8E:3A:78:F2:1D:E6
    envFrom:
    - prefix: V2V_
      secretRef:
        name: mtv26-500vms-8esxs-plan4-vm-3712-krchr
    image: registry.redhat.io/migration-toolkit-virtualization/mtv-virt-v2v-rhel9@sha256:779fbd9444b2d7a58e9c34325bd566810fd51be6e2fc1e8ae270160f9fc10511
    imagePullPolicy: IfNotPresent
    name: virt-v2v
    ports:
    - containerPort: 2112
      name: metrics
      protocol: TCP
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
      requests:
        devices.kubevirt.io/kvm: "1"
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeDevices:
    - devicePath: /dev/block0
      name: mtv26-500vms-8esxs-plan4-vm-3712-hdk9d
    volumeMounts:
    - mountPath: /mnt/v2v
      name: libvirt-domain-xml
    - mountPath: /opt
      name: vddk-vol-mount
    - mountPath: /etc/secret
      name: secret-volume
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-b6xw6
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  initContainers:
  - image: quay.io/qiyuan1/test7
    imagePullPolicy: IfNotPresent
    name: vddk-side-car
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /opt
      name: vddk-vol-mount
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-b6xw6
      readOnly: true
  nodeName: worker009-r640
  nodeSelector:
    kubevirt.io/schedulable: "true"
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 107
    runAsNonRoot: true
    runAsUser: 107
    seccompProfile:
      type: RuntimeDefault
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: mtv26-500vms-8esxs-plan4-vm-3712-hdk9d
    persistentVolumeClaim:
      claimName: mtv26-500vms-8esxs-plan4-vm-3712-hdk9d
  - configMap:
      defaultMode: 420
      name: mtv26-500vms-8esxs-plan4-vm-3712-g28ff
    name: libvirt-domain-xml
  - emptyDir: {}
    name: vddk-vol-mount
  - name: secret-volume
    secret:
      defaultMode: 420
      secretName: mtv26-500vms-8esxs-plan4-vm-3712-krchr
  - name: kube-api-access-b6xw6
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  message: 'Pod was rejected: The node had condition: [DiskPressure]. '
  phase: Failed
  reason: Evicted
  startTime: "2024-07-08T23:42:32Z"
